﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI;
using Telerik.WinControls;

namespace RadMultiSelectDropDownListImpl
{
    public class ItemsChangedEventArgs : EventArgs
    {
        private ItemsChangeOperation m_operation;
        private RadListDataItem m_newValue;

        public ItemsChangedEventArgs(RadListDataItem p_newValue, ItemsChangeOperation p_operation)
        {
            m_newValue = p_newValue;
            m_operation = p_operation;
        }

        public RadListDataItem NewValues
        {
            get
            {
                return m_newValue;
            }
        }

        public ItemsChangeOperation Operation
        {
            get
            {
                return m_operation;
            }
        }
    }
}
