﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RadMultiSelectDropDownListImpl
{
    public class MyCollectionEnumerator : IEnumerator<CustomListDataItem>
    {
        int current = 0;
        RadMultiSelectDropDownList owner;
        MyDynamicCollection ownerCollection;

        public MyCollectionEnumerator(RadMultiSelectDropDownList owner, MyDynamicCollection ownerCollection)
        {
            this.owner = owner;
            this.ownerCollection = ownerCollection;
        }

        public CustomListDataItem Current
        {
            get
            {
                return (CustomListDataItem)owner.Items[current];
            }
        }

        public void Dispose()
        {

        }

        object System.Collections.IEnumerator.Current
        {
            get
            {
                return this.Current;
            }
        }

        public bool MoveNext()
        {
            if (current < ownerCollection.Count - 1)
            {
                current++;
                return true;
            }

            return false;
        }

        public void Reset()
        {
            current = 0;
        }
    }
}
