﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls;
using RadMultiSelectDropDownListImpl;
using System.Runtime.InteropServices;

namespace TestProject
{
    public partial class Form1 : RadForm
    {
        public Form1()
        {
            InitializeComponent();
      
            // There is no support for selecting/deselecting items based on what the end-user is typing in the textbox.
            this.radDropDownList1.DropDownListElement.TextBox.TextBoxItem.ReadOnly = true;

            CustomListDataItem usa = new CustomListDataItem("USA");
            this.radDropDownList1.Items.Add(usa);

            CustomListDataItem canada = new CustomListDataItem("Canada");
            this.radDropDownList1.Items.Add(canada);

            CustomListDataItem mexico = new CustomListDataItem("Mexico");
            this.radDropDownList1.Items.Add(mexico);

            CustomListDataItem sweden = new CustomListDataItem("Sweden");
            this.radDropDownList1.Items.Add(sweden);

            CustomListDataItem spain = new CustomListDataItem("Spain");
            this.radDropDownList1.Items.Add(spain);

            CustomListDataItem brazil = new CustomListDataItem("Brazil");
            this.radDropDownList1.Items.Add(brazil);

            CustomListDataItem france = new CustomListDataItem("France");
            this.radDropDownList1.Items.Add(france);

            CustomListDataItem germany = new CustomListDataItem("Germany");
            this.radDropDownList1.Items.Add(germany);

            this.radDropDownList1.SelectedItems.Add(canada);
            this.radDropDownList1.SelectedItems.Add(sweden);
            this.radDropDownList1.SelectedItems.Add(spain);

            this.radDropDownList1.SelectedItemsChanged += new ChangedEventHandler(radDropDownList1_SelectedItemsChanged);
        }

        void radDropDownList1_SelectedItemsChanged(object sender, ItemsChangedEventArgs e)
        {
            Console.WriteLine(e.Operation + " " + e.NewValues);
        }

        private void deselectSpain_Click(object sender, EventArgs e)
        {
            this.radDropDownList1.SelectedItems.Remove((CustomListDataItem)this.radDropDownList1.Items[4]);
            // or
            //((CustomListDataItem)this.radDropDownList1.Items[1]).Checked = false;
        }

        private void getSelectedItems_Click(object sender, EventArgs e)
        {
            //RadMessageBox.Show(this.radDropDownList1.SelectedItems.ToString());
            this.radDropDownList1.Items.Clear();
        }
    }
}
